Skip to main content
POST
/
consumer-loan-applications
Create a consumer loan application
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/consumer-loan-applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "quoteId": "<string>",
  "customerId": "<string>",
  "sourceChannel": "<string>",
  "affordabilityData": {},
  "consents": [
    "<string>"
  ]
}
'
{
  "applicationId": "clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E",
  "quoteId": "<string>",
  "customerId": "<string>",
  "status": "draft",
  "decisionMode": "automated",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
quoteId
string
required
customerId
string
required
sourceChannel
string
affordabilityData
object
consents
string[]

Response

Application created

applicationId
string
Example:

"clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E"

quoteId
string
customerId
string
status
enum<string>
Available options:
draft,
submitted,
in-review,
approved,
declined,
accepted,
booked
decisionMode
enum<string>
Available options:
automated,
hybrid,
manual
createdAt
string<date-time>